> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-hk/kai-fa-zhe-zi-yuan/api-docs/get-all-added-public-knowledge.md).

# 獲取所有新增的公共知識

{% openapi src="/files/WF90zszaISusKGEBimez" path="/common-knowledge/subscribed-list/" method="get" %}
[rememberizer\_openapi.yml](https://2492455604-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTVKmtXKPeA8gAZJsuGLA%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=3b4a9db2-4dd7-440f-b670-9555703d351d)
{% endopenapi %}

## 範例請求

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
將 `YOUR_JWT_TOKEN` 替換為您的實際 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getPublicKnowledge = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getPublicKnowledge();
```

{% hint style="info" %}
將 `YOUR_JWT_TOKEN` 替換為您的實際 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_public_knowledge():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_public_knowledge()
```

{% hint style="info" %}
將 `YOUR_JWT_TOKEN` 替換為您的實際 JWT 令牌。
{% endhint %}
{% endtab %}
{% endtabs %}

## 回應格式

```json
[
  {
    "id": 1,
    "num_of_subscribers": 76,
    "publisher_name": "Rememberizer AI",
    "published_by_me": false,
    "subscribed_by_me": true,
    "size": 66741,
    "created": "2023-01-15T14:30:00Z",
    "modified": "2023-05-20T09:45:12Z",
    "priority_score": 2.053,
    "name": "Rememberizer Docs",
    "image_url": "https://example.com/images/rememberizer-docs.png",
    "description": "有關 Rememberizer 的最新文檔和博客文章。",
    "api_key": null,
    "is_sharing": true,
    "memento": 159,
    "document_ids": [1234, 5678, 9012]
  }
]
```

此端點檢索當前用戶已訂閱的所有公共知識（也稱為常識）的列表。每個項目包括有關知識來源的元數據，例如出版日期、大小和相關文檔。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-hk/kai-fa-zhe-zi-yuan/api-docs/get-all-added-public-knowledge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
